<?php
/**
 * Copyright © 2015 FiloBlu. All rights reserved.
 */

namespace FiloBlu\Flow\Helper;

use \Monolog\Handler\StreamHandler;

class LoggerProvider
{

    /**
     * @var Monolog\Logger
     */
    protected $_logger;
 
    public function __construct(
        \Monolog\Logger $_logger,
        \Magento\Framework\Filesystem $filesystem,
        $filename = 'mod2-flow'
    ) {
        $this->_logger = $_logger;
        $vardir = $filesystem
            ->getDirectoryRead(\Magento\Framework\App\Filesystem\DirectoryList::VAR_DIR)
            ->getAbsolutePath();
 
        $this->_logger->pushHandler(new StreamHandler(
            $vardir . 'log' . DIRECTORY_SEPARATOR . basename($filename) . '.log'
        ));
    }
 
    public function getLogger()
    {
        return $this->_logger;
    }

}